<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.ProperytMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.Properyt">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="type" property="type" />
        <result column="name" property="name" />
        <result column="agent_id" property="agentId" />
        <result column="address" property="address" />
        <result column="phone" property="phone" />
        <result column="supervisor_id" property="supervisorId" />
        <result column="serialnumber" property="serialnumber" />
        <result column="province" property="province" />
        <result column="city" property="city" />
        <result column="countyseat" property="countyseat" />
        <result column="memo" property="memo" />
        <result column="contact" property="contact" />
        <result column="mail" property="mail" />
        <result column="customerId" property="customerId" />
        <result column="district_on_count" property="districtOnCount" />
        <result column="hard_on_count" property="hardOnCount" />
        <result column="user_count" property="userCount" />
        <result column="account_name" property="accountName" />
        <result column="account_no" property="accountNo" />
        <result column="account_bank" property="accountBank" />
        <result column="identification_number" property="identificationNumber" />
        <result column="invoice_name" property="invoiceName" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, type, name, agent_id, address, phone, supervisor_id, serialnumber, province, city, countyseat, memo, contact, mail, customerId, district_on_count, hard_on_count, user_count, account_name, account_no, account_bank, identification_number, invoice_name
    </sql>

</mapper>
